## GdlDockPlaceHolder GdlDockPlaceHolder — A widget marking a docking place. |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | gdl_dock_placeholder_new ()
void | gdl_dock_placeholder_attach ()

## Properties

gboolean | floating | Read / Write / Construct Only
int | floatx | Read / Write / Construct Only
int | floaty | Read / Write / Construct Only
int | height | Read / Write / Construct
GdlDockObject * | host | Read / Write
GdlDockPlacement | next-placement | Read / Write
gboolean | sticky | Read / Write / Construct Only
int | width | Read / Write / Construct

## Types and Values

struct | GdlDockPlaceholder

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GdlDockObject
                        ╰── GdlDockPlaceholder

## Implemented Interfaces

GdlDockPlaceholder implements AtkImplementorIface and GtkBuildable.

## Description

A dock placeholder is a widget allowing to keep track of a docking place. Unfortunately, all the details of the initial goal have been forgotten and the code has still some issues.

In GDL 3.6, this part has been deprecated. Placeholder widgets are not used anymore. Instead, closed widgets are hidden but kept in the widget hierarchy.

## Functions

### gdl_dock_placeholder_new ()

    GtkWidget *
    gdl_dock_placeholder_new (const gchar *name,
                              GdlDockObject *object,
                              GdlDockPlacement position,
                              gboolean sticky);

`gdl_dock_placeholder_new` has been deprecated since version 3.6 and should not be used in newly-written code.

Creates a new dock placeholder at `object` place. This is a kind of marker allowing you to dock new items later at this place. It is not completely working though.

#### Parameters

name | Unique name for identifying the dock object. |
object | Corresponding GdlDockObject |
position | The position to dock a new item in `object` |
sticky | `TRUE` if the placeholder move with the `object` |

#### Returns

The newly created placeholder.

### gdl_dock_placeholder_attach ()

    void
    gdl_dock_placeholder_attach (GdlDockPlaceholder *ph,
                                 GdlDockObject *object);

`gdl_dock_placeholder_attach` has been deprecated since version 3.6 and should not be used in newly-written code.

Move the placeholder to the position of `object` .

#### Parameters

ph | The GdlDockPlaceholder object |
object | A new GdlDockObject |

## Types and Values

### struct GdlDockPlaceholder

    struct GdlDockPlaceholder;

`GdlDockPlaceholder` is deprecated and should not be used in newly-written code.

## Property Details

### The `“floating”` property

      “floating”                 gboolean

Whether the placeholder is standing in for a floating toplevel dock.

Owner: GdlDockPlaceholder

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“floatx”` property

      “floatx”                   int

X coordinate for dock when floating.

Owner: GdlDockPlaceholder

Flags: Read / Write / Construct Only

Allowed values: >= -1

Default value: -1

### The `“floaty”` property

      “floaty”                   int

Y coordinate for dock when floating.

Owner: GdlDockPlaceholder

Flags: Read / Write / Construct Only

Allowed values: >= -1

Default value: -1

### The `“height”` property

      “height”                   int

Height for the widget when it's attached to the placeholder.

Owner: GdlDockPlaceholder

Flags: Read / Write / Construct

Allowed values: >= -1

Default value: -1

### The `“host”` property

      “host”                     GdlDockObject *

The dock object this placeholder is attached to.

Owner: GdlDockPlaceholder

Flags: Read / Write

### The `“next-placement”` property

      “next-placement”           GdlDockPlacement

The position an item will be docked to our host if a request is made to dock to us.

Owner: GdlDockPlaceholder

Flags: Read / Write

Default value: GDL_DOCK_CENTER

### The `“sticky”` property

      “sticky”                   gboolean

Whether the placeholder will stick to its host or move up the hierarchy when the host is redocked.

Owner: GdlDockPlaceholder

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“width”` property

      “width”                    int

Width for the widget when it's attached to the placeholder.

Owner: GdlDockPlaceholder

Flags: Read / Write / Construct

Allowed values: >= -1

Default value: -1